<template>
  <ElDialog v-model="showDialog"
    :close-on-click-modal="false"
    destroy-on-close
    width="80vw">
    <ScheduleRecode :task-id="taskId"/>
    <template #footer>
      <ElButton @click="showDialog = false">关闭</ElButton>
    </template>
  </ElDialog>
</template>
<script lang="ts" setup>
import ScheduleRecode from '@/pages/sys/task/schedule-recode/ScheduleRecode.vue'

const showDialog = ref(false)

const taskId = ref('')

defineExpose({
  open(data: string) {
    showDialog.value = true
    taskId.value = data
  },
})
</script>
<style lang="stylus" scoped>
</style>
